## Struct content_spec_element

zeep::xml::doctype::content_spec_element

## Synopsis

    // In header: <zeep/xml/doctype.hpp>

    struct content_spec_element : public zeep::xml::doctype::content_spec_base {
      // construct/copy/destruct
      content_spec_element(const std::string &);

      // public member functions
      virtual state_ptr create_state() const;
      virtual bool element_content() const;

      // public data members
      std::string m_name;
    };

## Description

### `content_spec_element` public construct/copy/destruct

1.     content_spec_element(const std::string & name);

### `content_spec_element` public member functions

1.     virtual state_ptr create_state() const;

2.     virtual bool element_content() const;